SystemOrganization addCategory: #ProjectPOC!

Morph subclass: #TeamAthensBasicDemo
	instanceVariableNames: 'surface animations current zooming scale frame pharoLogo esugBallon button1 colorOfCar checker1'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProjectPOC'!

!TeamAthensBasicDemo commentStamp: 'jChizmar 7/9/2015 05:36' prior: 0!
My Changes to the Demo!

!TeamAthensBasicDemo class methodsFor: 'examples' stamp: 'jChizmar 7/10/2015 19:36'!
example
	"self example"
	
	| demo   |
	demo := TeamAthensBasicDemo new openInWorld. 
	! !

!TeamAthensBasicDemo methodsFor: 'initialize-release' stamp: 'jChizmar 7/9/2015 05:35'!
backColor
	^ Color white.! !

!TeamAthensBasicDemo methodsFor: 'accessing' stamp: 'jChizmar 7/10/2015 20:24'!
carColor
	^ colorOfCar ! !

!TeamAthensBasicDemo methodsFor: 'accessing' stamp: 'jChizmar 7/10/2015 20:23'!
carColor: colorIn
	colorOfCar := colorIn.! !

!TeamAthensBasicDemo methodsFor: 'accessing' stamp: 'jChizmar 7/10/2015 20:17'!
defaultExtent
	^ 400@350! !

!TeamAthensBasicDemo methodsFor: 'drawing' stamp: 'jChizmar 7/9/2015 05:35'!
drawOn: aCanvas

	self render.

	aCanvas
		drawImage: surface asForm at: self bounds origin! !

!TeamAthensBasicDemo methodsFor: 'figures' stamp: 'jChizmar 7/10/2015 20:26'!
figure1: aCanvas

	aCanvas
		setPaint: self carColor;
		drawShape: (60@100 extent: 300@200);
		setPaint: Color white;
		drawShape: (10@10 extent: 300@200); 
		setPaint: (Color r: 0.1 g: 0.1 b: 0.6) ;
		drawShape: (110@50 extent: 300@200).
		! !

!TeamAthensBasicDemo methodsFor: 'accessing' stamp: 'jChizmar 7/10/2015 19:59'!
figures
	^ #(
	figure1:
	).! !

!TeamAthensBasicDemo methodsFor: 'initialize-release' stamp: 'xl 7/12/2015 11:35'!
initialize 
	| ref loadFileFailBlock |
	super initialize.
	self extent: self defaultExtent.
	self color: self backColor.
	surface := AthensCairoSurface extent: self extent.
	current := 1.
	self carColor: Color veryVeryLightGray.
	frame := 0.
      loadFileFailBlock:= AthensCairoSurface fromForm:(Form fromDisplay: (0@0 extent:(300@150))).
	ref := 	'Pharo.png' asFileReference.
	pharoLogo := AthensCairoSurface createFromFile:  ref fullName ifFailed:  [ loadFileFailBlock ].

	ref := 'esug-balloon.png' asFileReference.
	esugBallon := AthensCairoSurface createFromFile:  ref fullName ifFailed:  [ loadFileFailBlock ].
	
 	button1 := InputButton text: 'Push Me'. 
	button1 mouseAction: [button1 toggleText] .

	checker1 := BChecker initialize .
	
	self addMorph: button1.
	self addMorph: checker1.
	self startStepping.
	! !

!TeamAthensBasicDemo methodsFor: 'drawing' stamp: 'jChizmar 7/10/2015 20:02'!
render 

	surface drawDuring: [:canvas | 
		surface clear.
		canvas pathTransform loadIdentity.
		canvas setPaint: (Color r: 0.1 g: 0.1 b: 0.1);drawShape: (0@0 corner: self extent).
		self perform: (self figures at: current)  with: canvas
	].
! !

!TeamAthensBasicDemo methodsFor: 'figures' stamp: 'jChizmar 7/9/2015 05:35'!
roundedRectanglePathOn: aCanvas

	^ aCanvas createPath: [:builder |
		builder
			absolute;
			moveTo: 70@100;
			lineTo: 330@100;
			cwArcTo: 350@120 angle: 90 degreesToRadians;
			lineTo: 350@280;
			cwArcTo: 330@300 angle: 90 degreesToRadians;
			lineTo: 70@300;
			cwArcTo: 50@280 angle: 90 degreesToRadians;
			lineTo: 50@120;
			cwArcTo: 70@100 angle: 90 degreesToRadians
	].

! !

CircleMorph subclass: #BChecker
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProjectPOC'!

!BChecker commentStamp: '<historical>' prior: 0!
checker!

!BChecker class methodsFor: 'as yet unclassified' stamp: 'xl 7/12/2015 11:45'!
inPoint: point
	super initialize. 
	^ ((self new) 	color: Color red; 
					borderWidth: 0; 
					left:20;
					top: 20;
					extent:100 @ 100 ).! !

!BChecker class methodsFor: 'as yet unclassified' stamp: 'xl 7/12/2015 11:34'!
initialize
	super initialize. 
	^ ((self new) 	color: Color red; 
					borderWidth: 0; 
					left:20;
					top: 20;
					extent:100 @ 100 ).! !

SimpleButtonMorph subclass: #InputButton
	instanceVariableNames: 'mouseAction'
	classVariableNames: ''
	poolDictionaries: ''
	category: 'ProjectPOC'!

!InputButton commentStamp: 'jChizmar 7/9/2015 07:56' prior: 0!
A button that responds to input!

!InputButton class methodsFor: 'initialize' stamp: 'jChizmar 7/10/2015 22:14'!
text:labelText
	"comment stating purpose of message"
	super initialize.
^ ((self new) 	labelString: 'Push Me'; 
					minWidth: 100; 
					extent:100@100;
					left:200;
					top: 50;
					color: (Color r: 0.6 g: 0.0 b: 0.6) ).! !

!InputButton methodsFor: 'as yet unclassified' stamp: 'jChizmar 7/9/2015 20:50'!
mouseAction: t1
	^ mouseAction := t1! !

!InputButton methodsFor: 'as yet unclassified' stamp: 'jChizmar 7/9/2015 20:54'!
mouseUp: t1
	mouseAction value.
	^ self! !

!InputButton methodsFor: 'as yet unclassified' stamp: 'jChizmar 7/10/2015 20:50'!
toggleText
"toggle the text on the button"
	(self label = 'Push Me')
	ifTrue:[
		self labelString: 'Pushed'
		]
	ifFalse:[
		self labelString: 'Push Me'
		]! !
BChecker initialize!
